## NMSettingTeam

NMSettingTeam — Describes connection properties for teams

## Functions

NMSetting * | nm_setting_team_new ()
const char * | nm_setting_team_get_config ()

## Properties

gchar * | config | Read / Write

## Types and Values

#define | NM_SETTING_TEAM_SETTING_NAME
#define | NM_SETTING_TEAM_CONFIG
| NMSettingTeam

## Object Hierarchy

        GObject
        ╰── NMSetting
            ╰── NMSettingTeam

## Description

The NMSettingTeam object is a NMSetting subclass that describes properties necessary for team connections.

## Functions

### nm_setting_team_new ()

    NMSetting *
    nm_setting_team_new (void);

Creates a new NMSettingTeam object with default values.

#### Returns

the new empty NMSettingTeam object.

[transfer full]

### nm_setting_team_get_config ()

    const char *
    nm_setting_team_get_config (NMSettingTeam *setting);

#### Parameters

setting | the NMSettingTeam |

#### Returns

the “config” property of the setting

## Types and Values

### NM_SETTING_TEAM_SETTING_NAME

    #define NM_SETTING_TEAM_SETTING_NAME "team"

### NM_SETTING_TEAM_CONFIG

    #define NM_SETTING_TEAM_CONFIG "config"

### NMSettingTeam

    typedef struct _NMSettingTeam NMSettingTeam;

## Property Details

### The `“config”` property

      “config”                   gchar *

The JSON configuration for the team network interface. The property should contain raw JSON configuration data suitable for teamd, because the value is passed directly to teamd. If not specified, the default configuration is used. See man teamd.conf for the format details.

Flags: Read / Write

Default value: NULL